<template>
  <div id="one-minute-quiz-banner" class="one-minute-quiz-banner">
    <div class="container">
      <div class="row">
        <div v-if="topRankData && topRankData.total_player" class="col-xl-12">
          <div class="row">
            <div class="col-xl-4">
              <div class="participants">
                <span class="text text-left">Participants</span
                ><span class="number">{{
                  topRankData && topRankData.total_player
                }}</span>
              </div>
            </div>
            <div class="col-xl-8">
              <div class="daily-quiz-top-1">
                <div class="top-1-avartar">
                  <img v-if="topRankData && topRankData.avatar" class="avatar" :src="topRankData.avatar" />
                  <img v-else class="avatar" src="@/assets/img/avatar@2x.png" />
                </div>
                <div class="content">
                  <div class="text">
                    <span>1st place</span>
                  </div>
                  <div class="name skiptranslate">
                    <span>{{ topRankData && topRankData.customer_name }}</span>
                  </div>
                  <div v-if="topRankData && topRankData.correct && topRankData && topRankData.total_question" class="record">
                    <span class="record-text">Record: </span>
                    <span class="record-time"> {{topRankData && topRankData.correct}}/</span>
                    <span class="record-quizz">{{topRankData && topRankData.total_question}} quiz</span>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-xl-12">
          <div class="row one-minute-quiz-banner-row">
            <div class="col-12 one-minute-quiz-banner-text">
              <div class="today-minute-quiz">
                <span>TODAY'S</span><span> 1 MINUTE QUIZ</span>
              </div>
              <div class="join-in-and-get-free-coin-now">
                <span class="d-inline-block w-100 text-wrap"
                  >Join in and get free coin now!</span
                >
              </div>
              <div class="get-start-button">
                <router-link to="/quiz-intro" class="btn btn-primary"
                  >Get start</router-link
                >
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { apiCustomerPost } from "../services/baseApi.js";
import moment from "moment";

export default {
  props: {},
  data() {
    return {
      topRankData: {},
    };
  },
  methods: {
    async getTopRank() {
      try {
        let datetimeEnd = moment().format("YYYY-MM-DD");
        let timeStamp = moment(datetimeEnd).valueOf();
        let body = {
          date: timeStamp,
        };

        let res = await apiCustomerPost("quiz-reward/top-rank", body);
        if (res && res.data && res.data.status) {
          this.topRankData = res.data.data;
        }
      } catch (error) {
        console.log(error);
      }
    },
  },
  mounted() {
    this.getTopRank();
  },
};
</script>

<style scoped>
  .top-1-avartar {
    overflow: hidden;
    height: 181px;
  }
  .daily-quiz-top-1 img {
    max-width: 100%;
    object-fit: cover;
  }
</style>
